org.apache.solr.util

## Class SolrCLI.StatusTool

- java.lang.Object
- - org.apache.solr.util.SolrCLI.ToolBase
  - - org.apache.solr.util.SolrCLI.StatusTool

- All Implemented Interfaces:
    SolrCLI.Tool
  Enclosing class:
    SolrCLI

      public static class SolrCLI.StatusTool
      extends SolrCLI.ToolBase

  Get the status of a Solr server.

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.util.SolrCLI.ToolBase

      `stdout, verbose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatusTool()`
    `StatusTool(PrintStream stdout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<String,String>` | `getCloudStatus(org.apache.http.client.HttpClient httpClient, String solrUrl, String zkHost)` Calls the CLUSTERSTATUS endpoint in Solr to get basic status information about the SolrCloud cluster.
    `String` | `getName()`
    `org.apache.commons.cli.Option[]` | `getOptions()`
    `Map<String,Object>` | `getStatus(String solrUrl)`
    `Map<String,Object>` | `reportStatus(String solrUrl, Map<String,Object> info, org.apache.http.client.HttpClient httpClient)`
    `protected void` | `runImpl(org.apache.commons.cli.CommandLine cli)`
    `Map<String,Object>` | `waitToSeeSolrUp(String solrUrl, int maxWaitSecs)`

    - ### Methods inherited from class org.apache.solr.util.SolrCLI.ToolBase

      `echo, runTool`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatusTool

          public StatusTool()

    - #### StatusTool

          public StatusTool(PrintStream stdout)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getOptions

          public org.apache.commons.cli.Option[] getOptions()

    - #### runImpl

          protected void runImpl(org.apache.commons.cli.CommandLine cli)
                          throws Exception

      Specified by:
        `runImpl` in class `SolrCLI.ToolBase`
      Throws:
        `Exception`

    - #### waitToSeeSolrUp

          public Map<String,Object> waitToSeeSolrUp(String solrUrl,
                                                    int maxWaitSecs)
                                             throws Exception

      Throws:
        `Exception`

    - #### getStatus

          public Map<String,Object> getStatus(String solrUrl)
                                       throws Exception

      Throws:
        `Exception`

    - #### reportStatus

          public Map<String,Object> reportStatus(String solrUrl,
                                                 Map<String,Object> info,
                                                 org.apache.http.client.HttpClient httpClient)
                                          throws Exception

      Throws:
        `Exception`

    - #### getCloudStatus

          protected Map<String,String> getCloudStatus(org.apache.http.client.HttpClient httpClient,
                                                      String solrUrl,
                                                      String zkHost)
                                               throws Exception

      Calls the CLUSTERSTATUS endpoint in Solr to get basic status information about the SolrCloud cluster.
      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.